#
# spec file for package pg_datab (Version 6.3.2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  postgres pg_ifa

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         pg_datab
Release:      1
Copyright:    No copyright
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      6.3.2
Summary:      Initialization Database for PostgreSQL
# Patch1: postgresql-6.3.2.dif
### BuildRoot isn't needed for this packages, or...???
# BuildRoot: /var/tmp/pgsql
%description
This package contains the initialization for the PostgreSQL database
system. If this initialization is installed, the user "postgres" is
able to setup additional database users; cf. the documentation under
/usr/doc/packages/postgres/html/index.html. 
Please, check the configuration file /var/lib/pgsql/data/pg_hba.conf;
the manual page pg_hba.conf(5) explains the background!

%prep
rcpostgres start
%build
(cd /var/lib/pgsql/data && rm -fr *)
su -c "PGLIB=/usr/lib/pgsql/lib && \
       PGDATA=/var/lib/pgsql/data && \
       export PGLIB PGDATA ; \
       /usr/bin/initdb" postgres
%install
rcpostgres stop
%pre
if [ -f var/lib/pgsql/data/pg_database ]
then
    mv var/lib/pgsql/data var/lib/pgsql/data.old && {
       mkdir -p var/adm/notify/messages
cat << EOT > var/adm/notify/messages/pg_datab-changes
Hi,
while installing the package pg_datab.rpm a new database system was
initialized.  Your old database files are saved under the directory
/var/lib/pgsql/data.old.
In case you do not need the old files any more, simply remove them with
the command:
    rm -fr /var/lib/pgsql/data.old
EOT
   }
fi
# %preun
%files
/var/lib/pgsql/data

